:root {
  --wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(to right, #F01A4D, #AB248C);
}
/*
:root :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover) {
	text-decoration: none !important;
	color:var(--wp--preset--color--accent-3) !important;
}
*/
/*
:root :where(a:where(:not(.wp-element-button)):hover) {
    color:var(--wp--preset--color--accent-3) !important;
}
*/

.woocommerce-checkout h3,
.checkout_rightSide strong {
	font-weight:900 !important;
}

#coupon_code {
	border-radius:50px;
}

.wc-block-components-payment-method-icons .wc-block-components-payment-method-icon {
	max-height:45px;
	height:45px;
}
.wp-block-search__button-inside {
    border-radius: 30px;
}
header :where(a:where(:not(.wp-element-button)):hover), 
.wp-block-post-terms a:hover, 
.woocommerce-breadcrumb a:hover {
    color:var(--wp--preset--color--accent-3) !important;
	text-decoration:none !important;
}
.wp-block-site-title a:hover,
.wp-block-woocommerce-cart-link a:hover {
	color:inherit!important;
	opacity:.85
}
.wc-block-components-quantity-selector {
	border-radius:3rem;
}
.woocommerce-breadcrumb a {
	text-transform:uppercase;
}
a {
	text-decoration: none;
}
li.wc-block-product a {
	text-decoration:none !important;
}
strong {
	font-weight:700;
}
@media (max-width:768px) {
	.cmt-slider-text-container {
		max-width:200px;
	}
	header .custom-logo {
		max-width:60px;
	}
	html {
		margin-top:0 !important;
	}
}

.woocommerce-ordering select {
	border-radius:3rem !important;
}


.woocommerce-product-gallery__image {
	position:relative;
}

.product-review .size-woocommerce_thumbnail,
.wc-block-cart-item__image img {
	border-radius:10px;
}

.woocommerce div.product form.cart table.variations td select {
	max-width:250px !important;
}
.woocommerce-variation-price {
	margin-right:0 !important;
}

div[class^="VIpgJd-"], 
div[class*=" VIpgJd-"],
.skiptranslate {
    visibility: hidden !important;
    opacity: 0 !important;
    height: 0 !important;
    width: 0 !important;
    overflow: hidden !important;
    pointer-events: none !important;
    position: absolute !important; /* Lo toglie dal flusso senza distruggere i padri */
}
form.cart button {
	width:100%;
}
#wc-wpg_paypal_checkout_cc-form {
	max-width:1000px !important;
}

/* Rimuove lo spazio bianco aggiunto in cima al body da Google Translate */

body {
    top: 0 !important;
}
.goog-te-banner-frame.skiptranslate {
    display: none !important;
}
.goog-te-balloon-frame {
    display: none !important;
}

.wc-block-mini-cart__badge {
	color:#FFF;
}

.cmt-card {
	display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    align-self: stretch !important;
    min-height: 60px;
}
.cmt-card-apple {
	min-width: 60px;
	max-width:60px;
}
.cmt-inline-columns {
	max-width:1000px !important;
}

.cmt-image-product-list-contain a {
    aspect-ratio: 3 / 4;     
    width: 100%;    
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.wp-block-woocommerce-product-template {
	margin-top:0;
}

@media (max-width: 600px) {
    .cmt-inline-columns {
        max-width: 100%;
    }
	.cmt-card-1 {
		min-width:200px;
	}
	.cmt-card-2 {
		min-width:250px;
	}
	.cmt-card-3 {
		min-width:300px;
	}

    .cmt-inline-columns .wp-block-columns {
        overflow-x: auto;
        padding-bottom: 10px;
    }

    .cmt-card-100 {
        min-width: 50vw;
    }

}

.wp-block-woocommerce-product-filters .orderby{
	width:100%;
}

.wp-block-woocommerce-product-filters .wc-block-product-filter-chips__items button, 
.wc-block-product-filter-removable-chips__item {
	border-color:#1212121c !important;
	padding:10px 15px !important;
	border-radius:5px !important;
}
.wc-block-product-filter-clear-button button {
	color:#FFF;
}

.wp-block-woocommerce-product-filters h3.wp-block-heading {
	font-size:0.8em;
	text-transform:uppercase;
}

.wc-block-product-filter-price-slider__left input, 
.wc-block-product-filter-price-slider__right input {
	border:none !important;
}

.wc-block-product-filter-price-slider__right input {
	text-align:right;
}

.wp-block-search__inside-wrapper {
	border:solid #f01a4d !important;
	border-width:2px !important;
	border-radius: 50px !important;
}

.cmt-slider-image {
	height:600px;
}

.cmt-slider-image-track {
	height:100%;
}

.wp-element-button {
	border-radius:30px !important;
}
.cmt-image-product-list-contain {
	padding:15px;
}
.cmt-image-product-list-contain img {
	object-fit:contain !important;
}

.tt5-product-social-share a {
	border-radius:30px !important;
}

.gtranslate_wrapper {
	display:flex;
}
.gtranslate_wrapper a {
	display: inline-flex;
	height:auto;
}
.gtranslate_wrapper a > img {
	height:auto;
	opacity:1 !important;
}

a.glink img {
	margin-right:0 !important;
	margin-left:10px !important;
}